Skip to main content
`Ctrl`+`K`

# PetscWeakFormDestroy

Destroys a `PetscWeakForm` object

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormDestroy(PetscWeakForm *wf)

Collective

## Input Parameter

- wf - the `PetscWeakForm` object to destroy

## See Also

`PetscWeakForm`, `PetscWeakFormCreate()`, `PetscWeakFormView()`

## Level

developer

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages